SetDomainAutoJoin
PUT
/auth/v1/memberships/{user.org_id}/domain/auto-joinPath Parameters
user.org_id*org_id
The user.org_id path parameter.
Request Body
requiredapplication/json{
"enabled": true
}enabled?boolean
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.AutoJoinSetting",
"$ref-value": {
"type": "object",
"properties": {
"present": {
"type": "boolean",
"title": "present"
},
"enabled": {
"type": "boolean",
"title": "enabled"
}
},
"title": "AutoJoinSetting",
"additionalProperties": false
}
}curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/domain/auto-join" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.AutoJoinSetting",
"$ref-value": {
"type": "object",
"properties": {
"present": {
"type": "boolean",
"title": "present"
},
"enabled": {
"type": "boolean",
"title": "enabled"
}
},
"title": "AutoJoinSetting",
"additionalProperties": false
}
}